import { UserProfileE2EComponent } from './user-profile.component.e2e';

export class CurrentUserProfileE2EComponent {
  private readonly locatorUserIconButton: string = 'popup-button-content';
  private readonly locatorLogoutButton: string = 'popup-logout-button';

  private readonly locatorRoot: string = 'current-user';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getUserProfile(): UserProfileE2EComponent {
    return new UserProfileE2EComponent(this.locatorRoot);
  }

  public logout(): void {
    this.getUserIconButton().click();
    this.getLogoutButton().click();
  }

  public getUserIconButton() {
    return cy.getTestElement(this.locatorUserIconButton);
  }

  private getLogoutButton() {
    return cy.getTestElement(this.locatorLogoutButton);
  }
}
