import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import localeDeExtra from '@angular/common/locales/extra/de';
import { HeaderE2EComponent } from '../../page-objects/header.po';
import { MainPage, waitForSpinnerToDisappear } from '../../page-objects/main.po';
import { login, writeUserIdsIntoFile } from '../../support/cypress-helper';
import { exist } from '../../support/cypress.util';
import { areUsersSynced, DatabaseUser } from '../../support/user-util';

registerLocaleData(localeDe, 'de', localeDeExtra);

describe('Init users', () => {
  const mainPage: MainPage = new MainPage();
  const header: HeaderE2EComponent = mainPage.getHeader();

  it('should login sabine', () => {
    syncUser(DatabaseUser.SABINE);
  });

  it('should login dorothea', () => {
    syncUser(DatabaseUser.DOROTHEA);
  });
  it('should login peter', () => {
    syncUser(DatabaseUser.PETER);
  });
  xit('should login emil', () => {
    // disabled until password change
    syncUser(DatabaseUser.EMIL);
  });
  it('should login adelheit', () => {
    syncUser(DatabaseUser.ADELHEIT);
  });
  it('should login ludwig', () => {
    syncUser(DatabaseUser.LUDWIG);
  });
  it('should login richard', () => {
    syncUser(DatabaseUser.RICHARD);
  });

  it('should write user ids to file', () => {
    if (!areUsersSynced()) {
      writeUserIdsIntoFile();
    }
  });

  function syncUser(user: DatabaseUser) {
    if (!areUsersSynced()) {
      login(user);
      waitForSpinnerToDisappear();
      exist(header.getLogo());
      header.getCurrentUserProfile().getUserIconButton().click();
      header.getCurrentUserProfile().getLogoutButton().click();
    }
  }
});
