import { AdminOrganisationsEinheitItemResource, AdminOrganisationsEinheitListResource } from '@admin-client/admin-settings';
import { ApiRootLinkRel, ApiRootResource, ApiRootService } from '@alfa-client/api-root-shared';
import { ListResourceServiceConfig, ResourceListService, ResourceRepository } from '@alfa-client/tech-shared';
import { ConfigurationResource } from 'libs/admin/settings/src/lib/configuration/configuration.model';
import { OrganisationsEinheitListLinkRel } from './organisations-einheit.linkrel';

export class OrganisationsEinheitListResourceService extends ResourceListService<
  ApiRootResource,
  AdminOrganisationsEinheitListResource,
  AdminOrganisationsEinheitItemResource
> {}

export function createOrganisationsEinheitListResourceService(repository: ResourceRepository, apiRootService: ApiRootService) {
  return new ResourceListService(buildConfig(apiRootService), repository);
}

function buildConfig(apiRootService: ApiRootService): ListResourceServiceConfig<ConfigurationResource> {
  return {
    baseResource: apiRootService.getApiRoot(),
    createLinkRel: 'TODO',
    listLinkRel: ApiRootLinkRel.ORGANISATIONS_EINHEIT,
    listResourceListLinkRel: OrganisationsEinheitListLinkRel.LIST,
  };
}
