import { AdminOrganisationsEinheitResource } from '@admin-client/admin-settings';
import { StateResource, createEmptyStateResource, isNotNil } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { Observable, of } from 'rxjs';
import { OrganisationsEinheitFormService } from './organisationseinheit.formservice';

@Component({
  selector: 'admin-organisationseinheit-form',
  templateUrl: './organisationseinheit-form.component.html',
  providers: [OrganisationsEinheitFormService],
})
export class OrganisationsEinheitFormComponent {
  submitInProgress$: Observable<StateResource<Resource>> = of(createEmptyStateResource<Resource>());

  @Input() set organisationsEinheitStateResource(stateResource: StateResource<AdminOrganisationsEinheitResource>) {
    this.updateOrganisationsEinheitResource(stateResource.resource);
  }

  updateOrganisationsEinheitResource(organisationsEinheitResource: AdminOrganisationsEinheitResource): void {
    if (isNotNil(organisationsEinheitResource)) {
      this.formService.patch(organisationsEinheitResource.settings);
    }
  }

  constructor(public formService: OrganisationsEinheitFormService) {}

  public submit(): void {
    this.submitInProgress$ = this.formService.submit();
  }
}
