import { AdminOrganisationsEinheitResource } from '@admin-client/admin-settings';
import { StateResource, createStateResource } from '@alfa-client/tech-shared';
import { Mock, mock, useFromMock } from '@alfa-client/test-utils';
import { FormBuilder } from '@angular/forms';
import { of } from 'rxjs';
import { createAdminOrganisationsEinheitResource } from '../../../../../test/organisations-einheit/organisations-einheit';
import { OrganisationsEinheitService } from '../../organisationseinheit.service';
import { OrganisationsEinheitFormService } from './organisationseinheit.formservice';

describe('OrganisationsEinheitFormService', () => {
  let service: OrganisationsEinheitFormService;
  let organisationsEinheitService: Mock<OrganisationsEinheitService>;
  const formBuilder: FormBuilder = new FormBuilder();

  beforeEach(() => {
    organisationsEinheitService = mock(OrganisationsEinheitService);
    service = new OrganisationsEinheitFormService(formBuilder, useFromMock(organisationsEinheitService));
  });

  it('should create', () => {
    expect(service).toBeTruthy();
  });

  describe('submit', () => {
    const organisationsEinheitResource: AdminOrganisationsEinheitResource = createAdminOrganisationsEinheitResource();

    beforeEach(() => {
      const stateResource: StateResource<AdminOrganisationsEinheitResource> = createStateResource(organisationsEinheitResource);
      organisationsEinheitService.patch.mockReturnValue(of(stateResource));
      organisationsEinheitService.get.mockReturnValue(of(stateResource));
      service.form.setValue({
        [OrganisationsEinheitFormService.ORGANISATIONSEINHEIT_SIGNATUR_FIELD]: organisationsEinheitResource.settings.signatur,
      });
    });

    it('should call organisationsEinheitService patch', () => {
      service.submit();

      expect(organisationsEinheitService.patch).toHaveBeenCalledWith(organisationsEinheitResource.settings);
    });
  });
});
