import { AdminOrganisationsEinheitResource } from '@admin-client/admin-settings';
import { AbstractFormService, EMPTY_STRING, StateResource } from '@alfa-client/tech-shared';
import { Injectable } from '@angular/core';
import { FormControl, UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { OrganisationsEinheitService } from '../../organisationseinheit.service';

@Injectable()
export class OrganisationsEinheitFormService extends AbstractFormService {
  public static readonly ORGANISATIONSEINHEIT_SIGNATUR_FIELD: string = 'signatur';

  constructor(
    formBuilder: UntypedFormBuilder,
    private organisationsEinheitService: OrganisationsEinheitService,
  ) {
    super(formBuilder);
  }

  protected initForm(): UntypedFormGroup {
    return this.formBuilder.group({
      [OrganisationsEinheitFormService.ORGANISATIONSEINHEIT_SIGNATUR_FIELD]: new FormControl(EMPTY_STRING),
    });
  }

  protected doSubmit(): Observable<StateResource<AdminOrganisationsEinheitResource>> {
    return this.organisationsEinheitService.patch(this.getFormValue());
  }

  protected getPathPrefix(): string {
    return 'settingBody';
  }
}
