import { createEmptyStateResource, isNotNil, StateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { Observable, of } from 'rxjs';
import { PostfachResource } from '../../postfach.model';
import { PostfachFormService } from './postfach.formservice';

@Component({
  selector: 'postfach-form',
  templateUrl: './postfach-form.component.html',
  providers: [PostfachFormService],
})
export class PostfachFormComponent {
  submitInProgress$: Observable<StateResource<Resource>> = of(createEmptyStateResource<Resource>());

  @Input() set postfachStateResource(stateResource: StateResource<PostfachResource>) {
    this.updatePostfachResource(stateResource.resource);
  }

  updatePostfachResource(postfachRessource: PostfachResource): void {
    if (isNotNil(postfachRessource)) {
      this.formService.patch(postfachRessource.settingBody);
    }
  }

  protected readonly PostfachFormService = PostfachFormService;

  constructor(public formService: PostfachFormService) {}

  public submit(): void {
    this.submitInProgress$ = this.formService.submit();
  }
}
