import { createUser } from '../../../test/user/user';
import { ToUserNamePipe } from './to-user-name.pipe';
import { User } from './user.model';

describe('UserNamePipe', () => {
  it('should return user name', () => {
    const user: User = { ...createUser(), firstName: 'Max', lastName: 'Mustermann' };
    const userNamePipe: ToUserNamePipe = new ToUserNamePipe();

    const result: string = userNamePipe.transform(user);

    expect(result).toBe('Max Mustermann');
  });

  it('should return username for user without firstName and lastName', () => {
    const user: User = { ...createUser(), firstName: null, lastName: null };
    const userNamePipe: ToUserNamePipe = new ToUserNamePipe();

    const result: string = userNamePipe.transform(user);

    expect(result).toBe(user.username);
  });
});
