import { BinaryFileResource, BinaryFileService } from '@alfa-client/binary-file-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, Input, OnInit } from '@angular/core';
import { ResourceUri } from '@ngxp/rest';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-binary-file-uri-container',
  templateUrl: './binary-file-uri-container.component.html',
})
export class BinaryFileUriContainerComponent implements OnInit {
  @Input() binaryFileUri: ResourceUri;

  public binaryFileStateResource$: Observable<StateResource<BinaryFileResource>>;

  constructor(private service: BinaryFileService) {}

  ngOnInit(): void {
    this.binaryFileStateResource$ = this.service.getFile(this.binaryFileUri);
  }
}
