import { faker } from '@faker-js/faker';
import { times } from 'lodash-es';
import { LinkRelationName } from '../../tech-shared/src';
import { toResource } from '../../tech-shared/test/resource';
import { OrganisationsEinheitResource } from '../../zustaendige-stelle-shared/src/lib/organisations-einheit/organisations-einheit.model';
import { CollaborationListLinkRel } from '../src';
import { Collaboration, CollaborationListResource, CollaborationResource } from '../src/lib/collaboration.model';

export function createCollaboration(): Collaboration {
  return {
    titel: faker.word.sample(2),
    anfrage: faker.word.sample(10),
    zustaendigeStelle: faker.internet.url(),
  };
}

export function createCollaborationResource(linkRelations: LinkRelationName[] = []): CollaborationResource {
  return toResource(createCollaboration(), linkRelations);
}

export function createCollaborationResources(linkRelations: LinkRelationName[] = []): OrganisationsEinheitResource[] {
  return times(10, () => toResource(createCollaborationResource(), [...linkRelations]));
}

export function createCollaborationListResource(linkRelations: LinkRelationName[] = []): CollaborationListResource {
  return toResource({}, [...linkRelations], {
    [CollaborationListLinkRel.COLLABORATION_LIST]: createCollaborationResources(),
  });
}
