import { CollaborationListResource } from '@alfa-client/collaboration-shared';
import { VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { Component, Input, OnDestroy, OnInit } from '@angular/core';
import { CollaborationService } from 'libs/collaboration-shared/src/lib/collaboration.service';
import { Observable } from 'rxjs';
import { CollaborationRequestFormService } from '../../collaboration-request-form/collaboration.request.formservice';

@Component({
  selector: 'alfa-organisations-einheit-container',
  templateUrl: './organisations-einheit-container.component.html',
  providers: [CollaborationRequestFormService],
})
export class OrganisationsEinheitContainerComponent implements OnInit, OnDestroy {
  @Input() public vorgang: VorgangWithEingangResource;
  @Input() public collaborationListResource: CollaborationListResource;

  public isFormVisible$: Observable<boolean>;

  public readonly vorgangLinkRel = VorgangWithEingangLinkRel;

  constructor(
    public service: CollaborationService,
    public formService: CollaborationRequestFormService,
  ) {}

  ngOnInit(): void {
    this.isFormVisible$ = this.service.isOrganisationsEinheitFormVisible();
  }

  ngOnDestroy(): void {
    this.hideForm();
  }

  public hideForm(): void {
    this.service.hideOrganisationseinheitForm();
    this.formService.reset();
  }

  public showForm(): void {
    this.service.showOrganisationsEinheitForm();
  }
}
