import { moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { AttachmentHeaderComponent } from '../attachment-header/attachment-header.component';
import { AttachmentComponent } from '../attachment/attachment.component';
import { SaveIconComponent } from '../icons/save-icon/save-icon.component';
import { AttachmentWrapperComponent } from './attachment-wrapper.component';

const meta: Meta<AttachmentWrapperComponent> = {
  title: 'Wrappers/Attachment wrapper',
  component: AttachmentWrapperComponent,
  parameters: {
    docs: {
      description: {
        component: 'Wrapper for multiple attachments',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [AttachmentWrapperComponent, AttachmentComponent, SaveIconComponent, AttachmentHeaderComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<AttachmentWrapperComponent>;

export const Default: Story = {
  render: () => ({
    template: `<ods-attachment-wrapper>
        <ods-attachment-header title="Anhänge">
          <button action-buttons>
            <ods-save-icon size="small" class="fill-text" />
          </button>
        </ods-attachment-header>
        <ods-attachment caption="Attachment" description="200 kB" fileType="pdf"></ods-attachment>
        <ods-attachment caption="Second attachment" description="432 kB" fileType="doc"></ods-attachment>
    </ods-attachment-wrapper>`,
  }),
};
