import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getDataTestClassOf } from 'libs/tech-shared/test/data-test';
import { BescheidStatusTextComponent } from './bescheid-status-text.component';

describe('BescheidStatusTextComponent', () => {
  let component: BescheidStatusTextComponent;
  let fixture: ComponentFixture<BescheidStatusTextComponent>;

  const bescheidStatusDraft: string = getDataTestClassOf('bescheid-status-draft');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [BescheidStatusTextComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(BescheidStatusTextComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('Entwurf', () => {
    it('should show if hasBescheidDraft', () => {
      component.hasBescheidDraft = true;

      fixture.detectChanges();

      existsAsHtmlElement(fixture, bescheidStatusDraft);
    });

    it('should hide if not hasBescheidDraft', () => {
      component.hasBescheidDraft = false;

      fixture.detectChanges();

      notExistsAsHtmlElement(fixture, bescheidStatusDraft);
    });
  });
});
