import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';
import { CheckboxComponent } from '../checkbox/checkbox.component';
import { FieldsetComponent } from './fieldset.component';

const meta: Meta<FieldsetComponent> = {
  title: 'Fieldset',
  component: FieldsetComponent,
  decorators: [
    moduleMetadata({
      imports: [FieldsetComponent, CheckboxComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FieldsetComponent>;

export const Default: Story = {
  args: {
    name: 'checkboxGroup',
    legend: 'A group of checkboxes',
  },
  argTypes: {
    name: { description: 'The name associated with the group' },
    legend: { description: 'Title for the fieldset' },
  },
  render: (args) => ({
    props: args,
    template: `<ods-fieldset ${argsToTemplate(args)}>
      <ods-checkbox inputId="1" label="First checkbox" />
      <ods-checkbox inputId="2" label="Second checkbox" />
    </ods-fieldset>`,
  }),
};
