/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { faker } from '@faker-js/faker';
import { toResource } from 'libs/tech-shared/test/resource';
import { times } from 'lodash-es';
import { ForwardingListLinkRel } from '../src/lib/forwarding.linkrel';
import {
  Forwarding,
  ForwardingListResource,
  ForwardingResource,
} from '../src/lib/forwarding.model';

export function createForwarding(): Forwarding {
  return {
    errorMessage: faker.word.sample(15),
    createdAt: faker.date.past(),
    sentAt: faker.date.past(),
    createdBy: faker.person.fullName(),
    createdByName: faker.person.fullName(),
    zustaendigeStelle: faker.word.sample(5),
  };
}

export function createForwardingResource(linkRel: string[] = []): ForwardingResource {
  return toResource(createForwarding(), linkRel);
}

export function createForwardingResources(): ForwardingResource[] {
  return times(10, () => createForwardingResource());
}

export function createForwardingListResource(linkRel: string[] = []): ForwardingListResource {
  return toResource({}, [...linkRel], {
    [ForwardingListLinkRel.FORWARDING_LIST]: createForwardingResources(),
  });
}
