import { Resource } from '@ngxp/rest';
import { createDummyResource } from 'libs/tech-shared/test/resource';
import { HasAnyLinkPipe } from './has-any-link.pipe';

import * as TechUtil from '../tech.util';

describe('HasAnyLinkPipe', () => {
  const oneLink: string = 'one';
  const anotherLink: string = 'another';
  const resource: Resource = createDummyResource([oneLink, anotherLink]);
  const pipe: HasAnyLinkPipe = new HasAnyLinkPipe();

  describe('transform', () => {
    let hasAnyLinkSpy: jest.SpyInstance<boolean>;

    beforeEach(() => {
      hasAnyLinkSpy = jest.spyOn(TechUtil, 'hasAnyLink').mockReturnValue(true);
    });

    it('should call has any link', () => {
      pipe.transform(resource, oneLink);

      expect(hasAnyLinkSpy).toHaveBeenCalledWith(resource, oneLink);
    });

    it('should return value', () => {
      const result: boolean = pipe.transform(resource, oneLink, anotherLink);

      expect(result).toBe(true);
    });
  });
});
