import { Action } from '@ngrx/store';
import { UserProfileState, initialState, reducer } from './user-profile.reducer';

import * as UserProfileActions from './user-profile.actions';

describe('UserProfile Reducer', () => {
  describe('unknown action', () => {
    it('should return current state', () => {
      const action = {} as Action;

      const result = reducer(initialState, action);

      expect(result).toBe(initialState);
    });
  });

  describe('userProfileSearchVisibilty', () => {
    describe('on "showUserProfileSearch" action', () => {
      it('should set userProfileSearchVisibilty to true', () => {
        const action = UserProfileActions.showUserProfileSearch();

        const state: UserProfileState = reducer(initialState, action);

        expect(state.userProfileSearchVisibilty).toBeTruthy();
      });
    });

    describe('on "hideUserProfileSearch" action', () => {
      it('should set userProfileSearchVisibilty to false', () => {
        const action = UserProfileActions.hideUserProfileSearch();

        const state: UserProfileState = reducer(initialState, action);

        expect(state.userProfileSearchVisibilty).toBeFalsy();
      });
    });
  });
});
