/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule, UntypedFormBuilder } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { mock } from '@alfa-client/test-utils';
import { AutocompleteEditorComponent } from '@alfa-client/ui';
import { UserProfileService } from '@alfa-client/user-profile-shared';
import { MockComponent } from 'ng-mocks';
import { UserProfileSearchComponent } from './user-profile-search.component';
import { UserProfileSearchFormService } from './user-profile.search.formservice';

describe('UserProfileSearchComponent', () => {
  let component: UserProfileSearchComponent;
  let fixture: ComponentFixture<UserProfileSearchComponent>;

  const userProfileSearchFormService = mock(UserProfileSearchFormService);
  const userProfileService = mock(UserProfileService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [UserProfileSearchComponent, MockComponent(AutocompleteEditorComponent)],
      imports: [MatFormFieldModule, ReactiveFormsModule, BrowserAnimationsModule],
      providers: [
        UntypedFormBuilder,
        {
          provide: UserProfileSearchFormService,
          useValue: userProfileSearchFormService,
        },
        {
          provide: UserProfileService,
          useValue: userProfileService,
        },
      ],
    });
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(UserProfileSearchComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
