import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { MatIconTestingModule } from '@angular/material/icon/testing';
import { BescheidStatusTextComponent } from '@ods/system';
import { createBescheid } from 'libs/bescheid-shared/src/test/bescheid';
import { FormatFullDatePipe } from 'libs/tech-shared/src/lib/pipe/format-full-date.pipe';
import { OzgcloudSvgIconComponent } from 'libs/ui/src/lib/ui/ozgcloud-svgicon/ozgcloud-svgicon.component';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenResultStatusComponent } from './vorgang-detail-bescheiden-result-status.component';

registerLocaleData(localeDe);

describe('VorgangDetailBescheidenResultStatusComponent', () => {
  let component: VorgangDetailBescheidenResultStatusComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenResultStatusComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [MatIconTestingModule],
      declarations: [
        VorgangDetailBescheidenResultStatusComponent,
        MatIcon,
        FormatFullDatePipe,
        MockComponent(OzgcloudSvgIconComponent),
        MockComponent(BescheidStatusTextComponent),
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangDetailBescheidenResultStatusComponent);
    component = fixture.componentInstance;
    component.bescheid = createBescheid();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
