import { BescheidService } from '@alfa-client/bescheid-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { VorgangDetailBescheidenAttachmentHochladenComponent } from './vorgang-detail-bescheiden-attachment-hochladen/vorgang-detail-bescheiden-attachment-hochladen.component';
import { VorgangDetailBescheidenBescheidAutomatischErstellenComponent } from './vorgang-detail-bescheiden-bescheid-automatisch-erstellen/vorgang-detail-bescheiden-bescheid-automatisch-erstellen.component';
import { VorgangDetailBescheidenDokumentHochladenComponent } from './vorgang-detail-bescheiden-dokument-hochladen/vorgang-detail-bescheiden-dokument-hochladen.component';
import { VorgangDetailBescheidenDokumenteHinzufuegenComponent } from './vorgang-detail-bescheiden-dokumente-hinzufuegen.component';

describe('VorgangDetailBescheidenDokumenteHinzufuegenComponent', () => {
  let component: VorgangDetailBescheidenDokumenteHinzufuegenComponent;
  let fixture: ComponentFixture<VorgangDetailBescheidenDokumenteHinzufuegenComponent>;

  const bescheidService: Mock<BescheidService> = mock(BescheidService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [
        VorgangDetailBescheidenDokumenteHinzufuegenComponent,
        MockComponent(VorgangDetailBescheidenBescheidAutomatischErstellenComponent),
        MockComponent(VorgangDetailBescheidenDokumentHochladenComponent),
        MockComponent(VorgangDetailBescheidenAttachmentHochladenComponent),
      ],
      providers: [
        {
          provide: BescheidService,
          useValue: bescheidService,
        },
      ],
    }).compileComponents();
    fixture = TestBed.createComponent(VorgangDetailBescheidenDokumenteHinzufuegenComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('ngOnInit', () => {
    it('should call service get bescheid draft if exists', () => {
      component.ngOnInit();

      expect(bescheidService.getBescheidDraft).toHaveBeenCalled();
    });
  });
});
