import { ResourceRepository, ResourceSearchService, SearchResourceServiceConfig, mapToResource } from '@alfa-client/tech-shared';
import { VorgangResource, VorgangService, VorgangWithEingangLinkRel } from '@alfa-client/vorgang-shared';
import { ExterneFachstelleListResource, ExterneFachstelleResource } from './externe-fachstelle.model';

export class ExterneFachstelleResourceSearchService extends ResourceSearchService<
  VorgangResource,
  ExterneFachstelleListResource,
  ExterneFachstelleResource
> {}

export function createExterneFachstelleResourceSearchService(repository: ResourceRepository, vorgangService: VorgangService) {
  return new ResourceSearchService(buildConfig(vorgangService), repository);
}

function buildConfig(vorgangService: VorgangService): SearchResourceServiceConfig<VorgangResource> {
  return {
    baseResource: vorgangService.getVorgangWithEingang().pipe(mapToResource<VorgangResource>()),
    searchLinkRel: VorgangWithEingangLinkRel.SEARCH_EXTERNE_FACHSTELLE,
  };
}
