import { OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createOrganisationsEinheitResource } from 'libs/zustaendige-stelle-shared/test/organisations-einheit';
import { OrganisationsEinheitComponent } from './organisations-einheit.component';

describe('OrganisationsEinheitComponent', () => {
  let component: OrganisationsEinheitComponent;
  let fixture: ComponentFixture<OrganisationsEinheitComponent>;

  const organisationsEinheitResource: OrganisationsEinheitResource = createOrganisationsEinheitResource();

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [OrganisationsEinheitComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(OrganisationsEinheitComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('set organisationsEinheit', () => {
    it('should call update by organisationsEinheit', () => {
      component.updateByOrganisationsEinheit = jest.fn();

      component.organisationsEinheitResource = organisationsEinheitResource;

      expect(component.updateByOrganisationsEinheit).toHaveBeenCalledWith(organisationsEinheitResource);
    });
  });

  describe('update by organisationsEinheit', () => {
    it('should set address', () => {
      component.address = null;

      component.updateByOrganisationsEinheit(organisationsEinheitResource);

      expect(component.address).toEqual(
        `${organisationsEinheitResource.anschrift.strasse} ${organisationsEinheitResource.anschrift.hausnummer}, ${organisationsEinheitResource.anschrift.plz} ${organisationsEinheitResource.anschrift.ort}`,
      );
    });
  });
});
