import { TechSharedModule } from '@alfa-client/tech-shared';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import {
  ButtonComponent,
  CloseIconComponent,
  ExternalUnitIconComponent,
  InstantSearchComponent,
  OfficeIconComponent,
  SearchIconComponent,
} from '@ods/system';
import { ZustaendigeStelleSharedModule } from 'libs/zustaendige-stelle-shared/src/lib/zustaendige-stelle-shared.module';
import { EditIconComponent } from '../../../design-system/src/lib/icons/edit-icon/edit-icon.component';
import { PublicAdministrationIconComponent } from '../../../design-system/src/lib/icons/public-administration-icon/public-administration-icon.component';
import { EditZustaendigeStelleButtonComponent } from './edit-zustaendige-stelle-button/edit-zustaendige-stelle-button.component';
import { SearchExterneFachstelleContainerComponent } from './search-externe-fachstelle-container/search-externe-fachstelle-container.component';
import { OrganisationsEinheitComponent } from './search-organisations-einheit-container/organisations-einheit/organisations-einheit.component';
import { SearchOrganisationsEinheitContainerComponent } from './search-organisations-einheit-container/search-organisations-einheit-container.component';
import { SearchZustaendigeStelleDialogComponent } from './search-zustaendige-stelle-dialog/search-zustaendige-stelle-dialog.component';
import { SearchZustaendigeStelleFormComponent } from './search-zustaendige-stelle-dialog/search-zustaendige-stelle-form/search-zustaendige-stelle-form.component';
import { ZustaendigeStelleButtonComponent } from './zustaendige-stelle-button/zustaendige-stelle-button.component';
import { ZustaendigeStelleHeaderComponent } from './zustaendige-stelle-header/zustaendige-stelle-header.component';

@NgModule({
  imports: [
    CommonModule,
    ButtonComponent,
    CloseIconComponent,
    TechSharedModule,
    InstantSearchComponent,
    FormsModule,
    ReactiveFormsModule,
    ZustaendigeStelleSharedModule,
    OfficeIconComponent,
    SearchIconComponent,
    ExternalUnitIconComponent,
    EditIconComponent,
    PublicAdministrationIconComponent,
  ],
  declarations: [
    SearchOrganisationsEinheitContainerComponent,
    OrganisationsEinheitComponent,
    SearchZustaendigeStelleFormComponent,
    SearchZustaendigeStelleDialogComponent,
    ZustaendigeStelleButtonComponent,
    SearchExterneFachstelleContainerComponent,
    EditZustaendigeStelleButtonComponent,
    ZustaendigeStelleHeaderComponent,
  ],
  exports: [
    OrganisationsEinheitComponent,
    SearchZustaendigeStelleFormComponent,
    SearchZustaendigeStelleDialogComponent,
    SearchOrganisationsEinheitContainerComponent,
    SearchExterneFachstelleContainerComponent,
  ],
})
export class ZustaendigeStelleModule {}
