package de.ozgcloud.alfa.bescheid;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.ozgcloud.alfa.common.LinkedResource;
import de.ozgcloud.alfa.common.binaryfile.BinaryFileController;
import de.ozgcloud.alfa.common.binaryfile.FileId;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Builder(toBuilder = true)
@Getter
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@ToString
class Document {

	@JsonIgnore
	private String id;

	private String type;

	@LinkedResource(controllerClass = BinaryFileController.class)
	private FileId fileId;

	private String nachrichtSubject;
	private String nachrichtText;
}
