package de.ozgcloud.alfa.vorgang;

import java.util.Collections;
import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Configuration
@ConfigurationProperties(prefix = "ozgcloud.vorgang")
public class VorgangProperties {

	/**
	 * List of Vorgänge for which notices can be issued.
	 */
	private List<VorgangProperty> bescheid = Collections.emptyList();
	
	@Builder
	@Setter
	@Getter
	public static class VorgangProperty {

		/**
		 * ID of the received formular
		 */
		private String formId;
		/**
		 * Name of the form engine providing the used formular
		 */
		private String formEngineName;
	}
}